import { jsx } from "react/jsx-runtime";
import { CaretDown as CaretDown$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const CaretDown = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "CaretDown", ...props, children: /* @__PURE__ */ jsx(CaretDown$1, { weight: variant }) });
  }
);
CaretDown.displayName = "CaretDown";
Object.assign(CaretDown, { isGdsIcon: true });
export {
  CaretDown
};
